Cómo solucionar problema de compilación en cordova en Android (install_failed_update_incompatible)

Cómo solucionar problema de compilación en cordova en Android (install_failed_update_incompatible)

En este artículo aprenderás a solucionar el conocido problema [INSTALL_FAILED_UPDATE_INCOMPATIBLE] al compilar tu APK de tu aplicación cordova facilmente.

Antes de continuar

Antes de continuar con la solución final, verifica que la versión del SDK requerido no es mayor que la del sistema operativo de tu dispositivo.  Luego, en caso de que no tengas la version del SDK en tu computadora que tu aplicación usa para compilar, por favor descarga el SDK Manager con la version minima para compilar correctamente.

Si ya verificaste la información anteriormente mencionada y no funciona, continua con la solución que te proponemos.

Solución

El problema [INSTALL_FAILED_UPDATE_INCOMPATIBLE] es generalmente ocasionado cuando una versión firmada (con certificado, autofirmado o no) de tu aplicación (que usualmente ya está disponible en la Play Store y las has descargado de allí) está instalada en tu dispositivo e intentas compilar una version local a modo de prueba en tu dispositivo usando cordova run android --device o cordova run android --emulator.

Para solucionar el problema, simplemente desintala la aplicación que ya se encuentra instalada en tu dispositivo e intenta a compilar nuevamente. Si el problema persiste, reinicia tu dispositivo o emulador y finalmente repitiendo el proceso nuevamente.

Si por alguna razon, continua sin funcionar, abre la linea de comandos de adb  y desintala la aplicación (que probablemente siga instalada en el registro) usando el siguiente comando:

# por ejemplo
# adb uninstall com.ourcodeworld.miaplicacion
adb uninstall com.mycompany.myappname

Diviertete !

Esto podría ser de tu interes

Conviertete en un programador más sociable